Bug 835138 - Updating Template's "Run On" or "Run/Migration Options" not effective.
Updating Template's "Run On" or "Run/Migration Options" not effective.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Gilad Chaplik
Pavel Stehlik
sla
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-25 12:06 EDT by Jaroslav Henner
Modified: 2016-02-10 15:18 EST (History)
10 users (show)

See Also:
Fixed In Version: SI12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:02:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Henner 2012-06-25 12:06:42 EDT
Description of problem:


Version-Release number of selected component (if applicable):
ic7

How reproducible:
always

Steps to Reproduce:
1. Have a Template of VM
2. Specify host that should be used to boot the VM (created from the template) on -- change the:
  Run On -> Host
  Run/Migration Options -> Run VM on the selected host...
3. Click OK
  
Actual results:
The options didn't update.

Expected results:
Updated

Additional info:
# tail -fn0 /var/log/ovirt-engine/engine.log
2012-06-25 18:54:38,334 WARN  [org.ovirt.engine.core.dal.job.ExecutionMessageDirector] (http--0.0.0.0-8443-9) [311b1053] The message key UpdateVmTemplate is missing from bundles/ExecutionMessages
2012-06-25 18:54:38,397 WARN  [org.ovirt.engine.core.compat.backendcompat.PropertyInfo] (http--0.0.0.0-8443-9) Unable to get value of property: isQuotaDefault for class org.ovirt.engine.core.common.businessentities.VmTemplate
2012-06-25 18:54:38,402 WARN  [org.ovirt.engine.core.compat.backendcompat.PropertyInfo] (http--0.0.0.0-8443-9) Unable to get value of property: isQuotaDefault for class org.ovirt.engine.core.common.businessentities.VmTemplate
2012-06-25 18:54:38,405 WARN  [org.ovirt.engine.core.compat.backendcompat.PropertyInfo] (http--0.0.0.0-8443-9) Unable to get value of property: managedDeviceMap for class org.ovirt.engine.core.common.businessentities.VmTemplate
2012-06-25 18:54:38,409 WARN  [org.ovirt.engine.core.compat.backendcompat.PropertyInfo] (http--0.0.0.0-8443-9) Unable to get value of property: managedDeviceMap for class org.ovirt.engine.core.common.businessentities.VmTemplate
2012-06-25 18:54:38,451 INFO  [org.ovirt.engine.core.bll.UpdateVmTemplateCommand] (http--0.0.0.0-8443-9) [311b1053] Running command: UpdateVmTemplateCommand internal: false. Entities affected :  ID: 713bfe5f-1220-4a80-802b-5a891f5889da Type: VmTemplate
2012-06-25 18:54:38,466 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.UpdateVMVDSCommand] (http--0.0.0.0-8443-9) [311b1053] START, UpdateVMVDSCommand(storagePoolId = 86c4547c-bbcc-11e1-a64b-97edcd06f040, ignoreFailoverLimit = false, compatabilityVersion = null, storageDomainId = 00000000-0000-0000-0000-000000000000, infoDictionary.size = 1), log id: adeb8b5
2012-06-25 18:54:38,549 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.UpdateVMVDSCommand] (http--0.0.0.0-8443-9) [311b1053] FINISH, UpdateVMVDSCommand, log id: adeb8b5
^C
Comment 1 Yaniv Kaul 2012-06-26 04:05:30 EDT
regression from 3.0?
Comment 2 Jaroslav Henner 2012-06-27 09:15:39 EDT
(03:00:26 PM) ecohen: yes, it is a bug and a regression from 3.0
Comment 4 Gilad Chaplik 2012-07-04 03:19:41 EDT
pushed upstream (http://gerrit.ovirt.org/5918)

Note You need to log in before you can comment on or make changes to this bug.